      SUBROUTINE LAMPFI (ALE,CHC,CINLIN)                                00054 
      LOGICAL*2 ALE                                                     00070 
      INTEGER*2 CHC,CINLIN                                              00071 
      INTEGER*2 NUMLIN                          !830307 MAO             00075 
      LOGICAL*2 CNTALL                          !830307 MAO             00076 
      COMMON/FLINE/CNTALL,NUMLIN                        !830307 MAO     00077 
      LOGICAL*2 ALECS,LSTFUL                                            00079 
      INTEGER*2 TYPIN,TYPLST,TYPOUT,CHCMNT                              00080 
      COMMON/MACVAL/ALECS,TYPIN,TYPLST,TYPOUT,CHCMNT,LSTFUL             00081 
      CHCMNT="73                !COMMENT CHARACTER=; (SEE NOTE 1)       00087 
      CINLIN="73        !IN-LINE COMMENT CHARACTER=;                    00088 
      CALL IRAD50(3,3HALX,TYPIN)        !INPUT FILE EXTENSION           00089 
      CALL IRAD50(3,3HALL,TYPLST)       !LIST FILE EXTENSION            00090 
      CALL IRAD50(3,3HMAC,TYPOUT)       !OUTPUT FILE EXTENSION          00091 
      ALECS=.TRUE.                                                      00092 
      ALE=ALECS                                                         00106 
      CHC=CHCMNT                                                        00107 
      CNTALL=.TRUE.     !COUNT ALL LINES FOR MACRO      !830307         00110 
      RETURN                                                            00121 
      END                                                               00122 
